Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlRectTextured Class Reference

`#include <GlRectTextured.h>`

Inherits tlp::GlSimpleEntity.

Inheritance diagram for tlp::GlRectTextured:

[legend]
Collaboration diagram for tlp::GlRectTextured:

[legend]
List of all members.

## Detailed Description

Create a rectangle with a texture

## Public Member Functions

- GlRectTextured ()
- GlRectTextured (float top, float bottom, float left, float right, const std::string &textureName, bool inPercent=false)
- GlRectTextured (float bottom, float left, float height, float width, const std::string &textureName, bool xInv, bool yInv)
- virtual ~GlRectTextured ()
- void reloadData ()
- virtual BoundingBox getBoundingBox ()
- virtual void draw (float lod, Camera *camera)
- virtual void translate (const Coord &mouvement)
- virtual void setTexture (const std::string &name)
- virtual std::string getTexture ()
- virtual void setCoordinates (float bottom, float left, float width, float height)
- virtual void getXML (xmlNodePtr rootNode)
- virtual void setWithXML (xmlNodePtr rootNode)

## Protected Attributes

- float top
- float bottom
- float left
- float right
- bool inPercent
- std::string textureName
- bool xInv
- bool yInv

## Constructor & Destructor Documentation

tlp::GlRectTextured::GlRectTextured | ( |  | ) | `[inline]`

tlp::GlRectTextured::GlRectTextured | ( | float | top,
|  | float | bottom,
|  | float | left,
|  | float | right,
|  | const std::string & | textureName,
|  | bool | inPercent = `false`
| ) |

| Constructor : with top/bottom/left/right coords, textureName and if inPercent is true coords are in percent

tlp::GlRectTextured::GlRectTextured | ( | float | bottom,
|  | float | left,
|  | float | height,
|  | float | width,
|  | const std::string & | textureName,
|  | bool | xInv,
|  | bool | yInv
| ) |

| Constructor : with bottom/left height,width coords, textureName and if xInv/yInv is true coords viewport - coord

virtual tlp::GlRectTextured::~GlRectTextured | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::GlRectTextured::draw | ( | float | lod,
|  | Camera * | camera
| ) | `[virtual]`

| Draw the rectangle Implements tlp::GlSimpleEntity.

virtual BoundingBox tlp::GlRectTextured::getBoundingBox | ( |  | ) | `[virtual]`

| Return the bounding box Reimplemented from tlp::GlSimpleEntity.

virtual std::string tlp::GlRectTextured::getTexture | ( |  | ) | `[virtual]`

| Get texture of the GlRectTextured

virtual void tlp::GlRectTextured::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Function to export data in XML Implements tlp::GlSimpleEntity.

void tlp::GlRectTextured::reloadData | ( |  | ) |

| Reload data of the rectangle

virtual void tlp::GlRectTextured::setCoordinates | ( | float | bottom,
|  | float | left,
|  | float | width,
|  | float | height
| ) | `[virtual]`

| Set coordinates of rectangle

virtual void tlp::GlRectTextured::setTexture | ( | const std::string & | name | ) | `[virtual]`

| Set texture of the GlRectTextured

virtual void tlp::GlRectTextured::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

| Function to set data with XML Implements tlp::GlSimpleEntity.

virtual void tlp::GlRectTextured::translate | ( | const Coord & | mouvement | ) | `[virtual]`

| Translate entity Reimplemented from tlp::GlSimpleEntity.

## Member Data Documentation

float tlp::GlRectTextured::bottom`[protected]`

bool tlp::GlRectTextured::inPercent`[protected]`

float tlp::GlRectTextured::left`[protected]`

float tlp::GlRectTextured::right`[protected]`

std::string tlp::GlRectTextured::textureName`[protected]`

float tlp::GlRectTextured::top`[protected]`

bool tlp::GlRectTextured::xInv`[protected]`

bool tlp::GlRectTextured::yInv`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010